export declare type ClassDef = {
    fullClassName: string;
    package: string;
    description: string;
    hierarchy: HierarchyClass[];
    constants: {
        [name: string]: ConstantDef;
    };
    properties: {
        [name: string]: PropertyDef;
    };
    constructors: {
        [name: string]: ConstructorDef;
    };
    methods: {
        [name: string]: MethodDef;
    };
};
export declare type HierarchyClass = {
    name: string;
};
export declare type ConstantDef = {
    name: string;
    value: string;
    description: string;
    deprecated: boolean;
    type: 'constant';
    class: ClassType;
};
export declare type PropertyDef = {
    name: string;
    description: string;
    class: ClassType;
    static?: boolean;
    readonly?: boolean;
    deprecated?: boolean;
};
export declare type ConstructorDef = {
    name: string;
    description: string;
    deprecated: boolean;
    class: ClassType;
    args: MethodArg[];
};
export declare type MethodArg = {
    name: string;
    description: string;
    class: ClassType;
    multiple: boolean;
};
export declare type ClassType = {
    name: string;
    description?: string;
    generics?: string;
};
export declare type MethodDef = {
    name: string;
    description: string;
    class: ClassType;
    args: MethodArg[];
    static?: boolean;
};
export declare type CustomAttr = {
    name: string;
    extends?: string;
};
